Bug 220029 - FV install fails with vncpasswd traceback
FV install fails with vncpasswd traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-manager (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 10:33 EST by Stephen Tweedie
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 20:50:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sync passwd handling to upstream (1.74 KB, patch)
2006-12-18 16:36 EST, Daniel Berrange
no flags Details | Diff

  None (edit)
Description Stephen Tweedie 2006-12-18 10:33:10 EST
Description of problem:
FV guest install currently fails with

libvir: Xen Daemon error : POST operation failed: (xend.err 'Error creating
domain: list.remove(x): x not in list')

logged on stderr, and a python traceback mentioning vncpasswd in xend.log.

Version-Release number of selected component (if applicable):

virt-manager-0.2.6-4.el5
libvirt-0.1.8-10.el5
libvirt-0.1.8-10.el5
python-virtinst-0.99.0-1.el5


How reproducible:
100%

Steps to Reproduce:
1. Install FV guest from virt-manager
  
Actual results:
At the last screen in the install wizard, pressing "finish" results in the error
and no guest is created.

Expected results:
Installs!


Additional info:
Python traceback from xend.log:

[2006-12-18 15:19:35 xend.XendDomainInfo 3097] ERROR (XendDomainInfo:202) Domain
construction failed
Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomainInfo.py", line
195, in create
    vm.initDomain()
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomainInfo.py", line
1308, in initDomain
    self.info['device'])
  File "/usr/lib64/python2.4/site-packages/xen/xend/image.py", line 45, in create
    return findImageHandlerClass(imageConfig)(vm, imageConfig, deviceConfig)
  File "/usr/lib64/python2.4/site-packages/xen/xend/image.py", line 75, in __init__
    self.configure(imageConfig, deviceConfig)
  File "/usr/lib64/python2.4/site-packages/xen/xend/image.py", line 272, in
configure
    self.dmargs += self.configVNC(imageConfig)
  File "/usr/lib64/python2.4/site-packages/xen/xend/image.py", line 402, in
configVNC
    config.remove(['vncpasswd', vncpasswd_vmconfig])
ValueError: list.remove(x): x not in list
[2006-12-18 15:19:35 xend.XendDomainInfo 3097] DEBUG (XendDomainInfo:1459)
XendDomainInfo.destroy: domid=13
[2006-12-18 15:19:35 xend.XendDomainInfo 3097] DEBUG (XendDomainInfo:1467)
XendDomainInfo.destroyDomain(13)
[2006-12-18 15:19:35 xend 3097] ERROR (SrvBase:88) Request create failed.
Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/xen/web/SrvBase.py", line 85, in perform
    return op_method(op, req)
  File "/usr/lib64/python2.4/site-packages/xen/xend/server/SrvDomainDir.py",
line 82, in op_create
    raise XendError("Error creating domain: " + str(ex))
XendError: Error creating domain: list.remove(x): x not in list
Comment 2 Daniel Berrange 2006-12-18 16:36:55 EST
Created attachment 143943 [details]
Sync passwd handling to upstream

For some reason our previous  PVFB password patch also contained a fix to the
HVM password  code. So when we updated the PVFB, we lost this fix, which broke
HVM. The attached patch re-syncs our HVM password handling code with xen-devel
Comment 3 Stephen Tweedie 2006-12-18 17:26:01 EST
Patch appears to fix the problem for me, thanks.
Comment 5 Jay Turner 2006-12-19 14:08:52 EST
QE ack for RHEL5.
Comment 6 Daniel Berrange 2006-12-19 16:50:54 EST
Fix in xen-3.0.3-18.el5....

* Mon Dec 18 2006 Rik van Riel <riel@redhat.com> - 3.0.3-18.el5
- fix keeping track of HVM vnc password (rhbz#218050)

$ brew latest-pkg dist-5E xen
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
xen-3.0.3-18.el5                          dist-5E               riel
Comment 7 RHEL Product and Program Management 2007-02-07 20:50:56 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.